org.openmuc.openiec61850

## Enum BdaType

- java.lang.Object
- - java.lang.Enum<BdaType>
  - - org.openmuc.openiec61850.BdaType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BdaType>

    public enum BdaType
    extends java.lang.Enum<BdaType>

This Enumeration includes all possible Types for IEC 61850 leave nodes ( `BasicDataAttribute`). This includes BasicTypes and CommonACSITypes as defined in part 7-2.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`CHECK`
`DOUBLE_BIT_POS`
`ENTRY_TIME`
`FLOAT32`
`FLOAT64`
`INT128`
`INT16`
`INT16U`
`INT32`
`INT32U`
`INT64`
`INT8`
`INT8U`
`OCTET_STRING`
`OPTFLDS`
`QUALITY`
`REASON_FOR_INCLUSION`
`TAP_COMMAND`
`TIMESTAMP`
`TRIGGER_CONDITIONS`
`UNICODE_STRING`
`VISIBLE_STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static BdaType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BdaType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOLEAN

    public static final BdaType BOOLEAN

#### INT8

    public static final BdaType INT8

#### INT16

    public static final BdaType INT16

#### INT32

    public static final BdaType INT32

#### INT64

    public static final BdaType INT64

#### INT128

    public static final BdaType INT128

#### INT8U

    public static final BdaType INT8U

#### INT16U

    public static final BdaType INT16U

#### INT32U

    public static final BdaType INT32U

#### FLOAT32

    public static final BdaType FLOAT32

#### FLOAT64

    public static final BdaType FLOAT64

#### OCTET_STRING

    public static final BdaType OCTET_STRING

#### VISIBLE_STRING

    public static final BdaType VISIBLE_STRING

#### UNICODE_STRING

    public static final BdaType UNICODE_STRING

#### TIMESTAMP

    public static final BdaType TIMESTAMP

#### ENTRY_TIME

    public static final BdaType ENTRY_TIME

#### CHECK

    public static final BdaType CHECK

#### QUALITY

    public static final BdaType QUALITY

#### DOUBLE_BIT_POS

    public static final BdaType DOUBLE_BIT_POS

#### TAP_COMMAND

    public static final BdaType TAP_COMMAND

#### TRIGGER_CONDITIONS

    public static final BdaType TRIGGER_CONDITIONS

#### OPTFLDS

    public static final BdaType OPTFLDS

#### REASON_FOR_INCLUSION

    public static final BdaType REASON_FOR_INCLUSION

### Method Detail

#### values

    public static BdaType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BdaType c : BdaType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BdaType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null